package com.tuoheng.admin.enums.code.inspection;

/**
 *  修改任务状态信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：09 （修改任务状态）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-22
 */
public enum EditInspectionStatusCodeEnum {

    EDIT_IS_FAILED(1230900, "修改任务失败"),
    INSPECTION_IS_NOT_EXIST(1230901, "巡检任务不存在，请先创建巡检任务！"),
    TASK_NOT_STATUS(1230902, "飞行状态出错！"),
    TASK_ANALYSIS_FAILED(1230903, "任务分析失败！"),
    GET_WEATHER_FAILED(1230904, "获取天气信息失败，请重试!");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditInspectionStatusCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
